<template>
  <div v-if="gameOver" class="gameOver">
    Game Over!
  </div>
</template>

<style lang="scss" scoped>
.gameOver {
  position: fixed;
  z-index: 98;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(50, 0, 0, 0.8);
  color: white;
  font-size: 36px;
  font-weight: bold;
  text-align: center;
  padding-top: 30px;
}
</style>

<script>
export default {
  name: 'game-over',
  computed: {
    gameOver() {
      return this.$store.state.gameOver;
    }
  }
}
</script>